%global commit  1b29bd21b3ac1cd650f0779b3dc512e767f354d1
%global uuid    org.gabmus.%{name}

Name:           hydrapaper
Version:        1.7.3
Release:        2%{?dist}
Summary:        Set two different backgrounds for each monitor on GNOME

License:        GPLv3+
URL:            https://gitlab.com/gabmus/HydraPaper
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  libhandy-devel
BuildRequires:  meson
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  python3-devel
Requires:       dbus-common
Requires:       glib2
Requires:       hicolor-icon-theme
Requires:       libwnck3
Requires:       python3-pillow

%description
GTK utility to set two different backgrounds for each monitor on GNOME
(which lacks this feature).


%prep
%autosetup -p1 -n HydraPaper-%{version}-%{commit}


%build
%meson
%meson_build


%install
%meson_install


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{uuid}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop


%files
%license COPYING LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/dbus-1/services/%{uuid}.service
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_metainfodir}/*.xml
%{python3_sitelib}/%{name}


%changelog
* Mon Sep 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.3-2
- Packaging fixes

* Thu Aug 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.3-1
- Downgrade for F30 due to 'libhandy' 0.0.9 version

* Thu Aug 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9-1
- Update to 1.9

* Wed Jul 31 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.3-1
- Initial package
